"""TPL_Accounting URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
from accounting.apps.connect.login import LoginView

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('accounting.apps.connect.urls')),
    path('accounting/', include('accounting.apps.books.urls')),
    path('people/', include('accounting.apps.people.urls')),
    path('reports/', include('accounting.apps.reports.urls')),

    # auth
    path('auth/login/', LoginView.as_view(), name='login'),
    path('auth/', include('django.contrib.auth.urls')),

    # third party
    path("select2/", include("django_select2.urls")),

]

if settings.DEBUG:
    urlpatterns += static(
        settings.MEDIA_URL, document_root=settings.MEDIA_ROOT
    )
